Last Comment Bug 687373 - Provide mozilla::layers::SurfaceDescriptorX11 non xlib surface ctor
: Provide mozilla::layers::SurfaceDescriptorX11 non xlib surface ctor
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: Trunk
: x86 Linux
: -- normal (vote)
: mozilla9
Assigned To: Oleg Romashin (:romaxa)
:
Mentors:
Depends on:
Blocks: 598277
  Show dependency treegraph
 
Reported: 2011-09-18 13:50 PDT by Oleg Romashin (:romaxa)
Modified: 2011-09-21 02:52 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Provide mozilla::layers::SurfaceDescriptorX11 non xlib surface ctor (1.89 KB, patch)
2011-09-18 13:51 PDT, Oleg Romashin (:romaxa)
cjones.bugs: review+
Details | Diff | Splinter Review
Provide mozilla::layers::SurfaceDescriptorX11 non xlib surface ctor. TOPUSH (1.90 KB, patch)
2011-09-19 19:23 PDT, Oleg Romashin (:romaxa)
romaxa: review+
Details | Diff | Splinter Review

Description Oleg Romashin (:romaxa) 2011-09-18 13:50:16 PDT
I'm trying to make better transition from mozilla::plugins::SurfaceDescriptorX11 and mozilla::layers::SurfaceDescriptorX11

And in order to allow seamless conversion we need SurfaceDescriptorX11::SurfaceDescriptorX11(const int XID, const int xrenderPictID, const gfxIntSize& size)
ctor.
Comment 1 Oleg Romashin (:romaxa) 2011-09-18 13:51:59 PDT
Created attachment 560815 [details] [diff] [review]
Provide mozilla::layers::SurfaceDescriptorX11 non xlib surface ctor
Comment 2 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2011-09-19 18:58:08 PDT
Comment on attachment 560815 [details] [diff] [review]
Provide mozilla::layers::SurfaceDescriptorX11 non xlib surface ctor

>+SurfaceDescriptorX11::SurfaceDescriptorX11(const int XID, const int xrenderPictID, const gfxIntSize& size)

(aXid, aXrenderPictId, aSize) plz.

>+  SurfaceDescriptorX11(const int XID, const int xrenderPictID, const gfxIntSize& size);
>+

And here.

r=me with nits fixed.
Comment 3 Oleg Romashin (:romaxa) 2011-09-19 19:23:29 PDT
Created attachment 561101 [details] [diff] [review]
Provide mozilla::layers::SurfaceDescriptorX11 non xlib surface ctor. TOPUSH

Fixed nits
Comment 4 Ed Morley [:emorley] 2011-09-20 03:25:20 PDT
This is now in my queue of things that are being sent to try then onto inbound :-)
Comment 6 Marco Bonardo [::mak] (Away 6-20 Aug) 2011-09-21 02:52:35 PDT
https://hg.mozilla.org/mozilla-central/rev/969aaa109a23

Note You need to log in before you can comment on or make changes to this bug.